package com.javacodegeeks.enterprise.ws.client;

import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import com.javacodegeeks.enterprise.ws.WebServiceInterface;
 
public class WebServiceClient{
 
	public static void main(String[] args) throws Exception {
 
	    URL wsdlUrl = new URL("http://localhost:8888/webserive/helloworld?wsdl");
        
	    //qualifier name ...
        QName qname = new QName("http://ws.enterprise.javacodegeeks.com/", "WebServiceImplService");
 
        Service service = Service.create(wsdlUrl, qname);
 
        WebServiceInterface hello = service.getPort(WebServiceInterface.class);
 
        System.out.println(hello.getHelloWorldAsString("- This is Java Code Geeks"));
 
    }
 
}